
_IsCollision:
	LNK	#0

;extras.c,6 :: 		unsigned int Button_Left, unsigned int Button_Top, unsigned int Button_Width, unsigned int Button_Height) {
;extras.c,10 :: 		if( ((Shape_X + Shape_Width) >= Button_Left )               &&              ((Shape_X) <= (Button_Left + Button_Width-1)) &&
; Button_Left start address is: 2 (W1)
	MOV	[W14-8], W1
; Button_Top start address is: 4 (W2)
	MOV	[W14-10], W2
; Button_Width start address is: 6 (W3)
	MOV	[W14-12], W3
; Button_Height start address is: 8 (W4)
	MOV	[W14-14], W4
	ADD	W10, W12, W0
	CP	W0, W1
	BRA GEU	L__IsCollision10
	GOTO	L__IsCollision8
L__IsCollision10:
	ADD	W1, W3, W0
; Button_Left end address is: 2 (W1)
; Button_Width end address is: 6 (W3)
	DEC	W0
	CP	W10, W0
	BRA LEU	L__IsCollision11
	GOTO	L__IsCollision7
L__IsCollision11:
;extras.c,15 :: 		((Shape_Y + Shape_Height) >= Button_Top )                   &&               ((Shape_Y) <= (Button_Top + Button_Height-1))  ) {
	ADD	W11, W13, W0
	CP	W0, W2
	BRA GEU	L__IsCollision12
	GOTO	L__IsCollision6
L__IsCollision12:
	ADD	W2, W4, W0
; Button_Top end address is: 4 (W2)
; Button_Height end address is: 8 (W4)
	DEC	W0
	CP	W11, W0
	BRA LEU	L__IsCollision13
	GOTO	L__IsCollision5
L__IsCollision13:
L__IsCollision4:
;extras.c,22 :: 		return 1;
	MOV.B	#1, W0
	GOTO	L_end_IsCollision
;extras.c,10 :: 		if( ((Shape_X + Shape_Width) >= Button_Left )               &&              ((Shape_X) <= (Button_Left + Button_Width-1)) &&
L__IsCollision8:
L__IsCollision7:
;extras.c,15 :: 		((Shape_Y + Shape_Height) >= Button_Top )                   &&               ((Shape_Y) <= (Button_Top + Button_Height-1))  ) {
L__IsCollision6:
L__IsCollision5:
;extras.c,28 :: 		return 0;
	CLR	W0
;extras.c,31 :: 		}
L_end_IsCollision:
	ULNK
	RETURN
; end of _IsCollision

_UART2_Write_Line:

;extras.c,34 :: 		void UART2_Write_Line(char *uart_text) {
;extras.c,35 :: 		UART2_Write_Text(uart_text);
	PUSH	W10
	CALL	_UART2_Write_Text
;extras.c,36 :: 		UART2_Write(13);
	MOV	#13, W10
	CALL	_UART2_Write
;extras.c,37 :: 		UART2_Write(10);
	MOV	#10, W10
	CALL	_UART2_Write
;extras.c,38 :: 		}
L_end_UART2_Write_Line:
	POP	W10
	RETURN
; end of _UART2_Write_Line

_UART2_Write_Variable:
	LNK	#12

;extras.c,42 :: 		void UART2_Write_Variable(int var) {
;extras.c,44 :: 		IntToStr(var, var_txt);
	PUSH	W10
	PUSH	W11
	ADD	W14, #0, W0
	MOV	W0, W11
	CALL	_IntToStr
;extras.c,45 :: 		UART2_Write_Text(var_txt);
	ADD	W14, #0, W0
	MOV	W0, W10
	CALL	_UART2_Write_Text
;extras.c,46 :: 		UART2_Write(13);
	MOV	#13, W10
	CALL	_UART2_Write
;extras.c,47 :: 		UART2_Write(10);
	MOV	#10, W10
	CALL	_UART2_Write
;extras.c,48 :: 		}
L_end_UART2_Write_Variable:
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _UART2_Write_Variable

_UART2_Write_Long_Variable:
	LNK	#20

;extras.c,51 :: 		void UART2_Write_Long_Variable(long var){
;extras.c,53 :: 		LongWordToStr(var, var_txt);
	PUSH	W10
	PUSH	W11
	PUSH	W12
	ADD	W14, #0, W0
	MOV	W0, W12
	CALL	_LongWordToStr
;extras.c,54 :: 		UART2_Write_Text(var_txt);
	ADD	W14, #0, W0
	MOV	W0, W10
	CALL	_UART2_Write_Text
;extras.c,55 :: 		UART2_Write(13);
	MOV	#13, W10
	CALL	_UART2_Write
;extras.c,56 :: 		UART2_Write(10);
	MOV	#10, W10
	CALL	_UART2_Write
;extras.c,57 :: 		}
L_end_UART2_Write_Long_Variable:
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _UART2_Write_Long_Variable

_UART2_Write_Label_Var:
	LNK	#12

;extras.c,60 :: 		void UART2_Write_Label_Var(char *uart_text, int var ) {
;extras.c,63 :: 		UART2_Write_Text(uart_text);
	PUSH	W10
	PUSH	W11
	CALL	_UART2_Write_Text
;extras.c,64 :: 		IntToStr(var, var_txt);
	ADD	W14, #0, W0
	MOV	W11, W10
	MOV	W0, W11
	CALL	_IntToStr
;extras.c,65 :: 		UART2_Write_Text(var_txt);
	ADD	W14, #0, W0
	MOV	W0, W10
	CALL	_UART2_Write_Text
;extras.c,66 :: 		UART2_Write(13);
	MOV	#13, W10
	CALL	_UART2_Write
;extras.c,67 :: 		UART2_Write(10);
	MOV	#10, W10
	CALL	_UART2_Write
;extras.c,68 :: 		}
L_end_UART2_Write_Label_Var:
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _UART2_Write_Label_Var
