
_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;main.c,177 :: 		void main() {
;main.c,179 :: 		int i = 0;
	PUSH	W10
	PUSH	W12
	PUSH	W13
;main.c,180 :: 		int flake_size = 0;
;main.c,183 :: 		TRISA = 0x0FFF;        // Bits 13-15 are outputs
	MOV	#4095, W0
	MOV	WREG, TRISA
;main.c,184 :: 		TRISD = 0xFFFF;        // Initialize PORTD as input
	MOV	#65535, W0
	MOV	WREG, TRISD
;main.c,185 :: 		TRISB = 0x0000;        // Initialize PORTB as output
	CLR	TRISB
;main.c,186 :: 		TRISE = 0x000;
	CLR	TRISE
;main.c,189 :: 		Init_MCU();
	CALL	_Init_MCU
;main.c,192 :: 		Init_Sprites();
	CALL	_Init_Sprites
;main.c,195 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,198 :: 		file_loaded = 0;
	MOV	#lo_addr(_file_loaded), W1
	CLR	W0
	MOV.B	W0, [W1]
;main.c,199 :: 		Init_Sound();
	CALL	_Init_Sound
;main.c,200 :: 		MP3_Init();
	CALL	_MP3_Init
;main.c,203 :: 		TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	CLR	W13
	MOV	#65535, W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#___Lib_System_DefaultPage, W0
	MOV	W0, W11
	CALL	_TFT_Set_Font
;main.c,209 :: 		UART2_Write_Line("Starting Snowburst.");
	MOV	#lo_addr(?lstr1_main), W10
	CALL	_UART2_Write_Line
;main.c,211 :: 		TP_TFT_Press_Detect();
	CALL	_TP_TFT_Press_Detect
;main.c,212 :: 		TP_TFT_Press_Detect();
	CALL	_TP_TFT_Press_Detect
;main.c,214 :: 		while (1){
L_main0:
;main.c,216 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,219 :: 		ShowTitles();
	CALL	_ShowTitles
;main.c,222 :: 		InitGame();
	CALL	_InitGame
;main.c,224 :: 		while (!game_over) {
L_main2:
	MOV	#lo_addr(_game_over), W0
	CP0	[W0]
	BRA Z	L__main138
	GOTO	L_main3
L__main138:
;main.c,227 :: 		if(play_next_song){
	MOV	#lo_addr(_play_next_song), W0
	CP0	[W0]
	BRA NZ	L__main139
	GOTO	L_main4
L__main139:
;main.c,229 :: 		GetNextSong();
	CALL	_GetNextSong
;main.c,230 :: 		}
	GOTO	L_main5
L_main4:
;main.c,231 :: 		else if( (frame_counter % 2) == 0){
	MOV	#2, W2
	MOV	#0, W3
	MOV	_frame_counter, W0
	MOV	_frame_counter+2, W1
	SETM	W4
	CALL	__Modulus_32x32
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__main140
	GOTO	L_main6
L__main140:
;main.c,233 :: 		Play_MP3_Chunk();
	CALL	_Play_MP3_Chunk
;main.c,234 :: 		}
L_main6:
L_main5:
;main.c,238 :: 		GetInput();
	CALL	_GetInput
;main.c,241 :: 		MoveFlakes();
	CALL	_MoveFlakes
;main.c,244 :: 		TappedFlake();
	CALL	_TappedFlake
;main.c,247 :: 		ClearFlake();
	CALL	_ClearFlake
;main.c,250 :: 		RenderScreen();
	CALL	_RenderScreen
;main.c,253 :: 		if(muteSound){
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA NZ	L__main141
	GOTO	L_main7
L__main141:
;main.c,254 :: 		Delay_ms(25);
	MOV	#5, W8
	MOV	#4523, W7
L_main8:
	DEC	W7
	BRA NZ	L_main8
	DEC	W8
	BRA NZ	L_main8
;main.c,255 :: 		}
L_main7:
;main.c,258 :: 		SavePrevValues();
	CALL	_SavePrevValues
;main.c,259 :: 		}
	GOTO	L_main2
L_main3:
;main.c,262 :: 		ShowGameOver();
	CALL	_ShowGameOver
;main.c,263 :: 		}
	GOTO	L_main0
;main.c,265 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_MoveFlakes:

;main.c,268 :: 		void MoveFlakes(){
;main.c,269 :: 		int i = 0;
	PUSH	W10
;main.c,271 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1); i++){
; i start address is: 10 (W5)
	CLR	W5
; i end address is: 10 (W5)
L_MoveFlakes10:
; i start address is: 10 (W5)
	CP	W5, #2
	BRA LE	L__MoveFlakes144
	GOTO	L_MoveFlakes11
L__MoveFlakes144:
;main.c,273 :: 		flakes[i].y += flakes[i].speed;
	MOV	#18, W0
	MUL.UU	W0, W5, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #2, W2
	ADD	W0, #16, W1
	MOV	[W2], W0
	ADD	W0, [W1], [W2]
;main.c,276 :: 		if( (flakes[i].y+flakes[i].height+flakes[i].speed) > (240-snow_height-STATUS_TEXT_HEIGHT)){
	MOV	#18, W0
	MUL.UU	W0, W5, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W4
	ADD	W4, #2, W1
	ADD	W4, #14, W0
	MOV	[W0], W0
	ADD	W0, [W1], W1
	ADD	W4, #16, W0
	ADD	W1, [W0], W2
	MOV	#240, W1
	MOV	#lo_addr(_snow_height), W0
	SUB	W1, [W0], W0
	SUB	W0, #25, W0
	CP	W2, W0
	BRA GT	L__MoveFlakes145
	GOTO	L_MoveFlakes13
L__MoveFlakes145:
;main.c,278 :: 		flakeMissed(i);
	PUSH	W5
	MOV	W5, W10
	CALL	_flakeMissed
	POP	W5
;main.c,280 :: 		}
L_MoveFlakes13:
;main.c,271 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1); i++){
	INC	W5
;main.c,282 :: 		}
; i end address is: 10 (W5)
	GOTO	L_MoveFlakes10
L_MoveFlakes11:
;main.c,283 :: 		}
L_end_MoveFlakes:
	POP	W10
	RETURN
; end of _MoveFlakes

_RenderScreen:

;main.c,285 :: 		void RenderScreen(){
;main.c,286 :: 		int i = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,288 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1); i++){
; i start address is: 8 (W4)
	CLR	W4
; i end address is: 8 (W4)
L_RenderScreen14:
; i start address is: 8 (W4)
	CP	W4, #2
	BRA LE	L__RenderScreen147
	GOTO	L_RenderScreen15
L__RenderScreen147:
;main.c,290 :: 		DrawFlake(flakes[i].frame, flakes[i].x, flakes[i].y, flakes[i].scale);
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W3
	ADD	W0, #2, W2
	MOV	[W0], W1
	ADD	W0, #8, W0
	PUSH	W4
	MOV	[W3], W13
	MOV	[W2], W12
	MOV	W1, W11
	MOV	[W0], W10
	CALL	_DrawFlake
	POP	W4
;main.c,293 :: 		flakes[i].frame++;
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #8, W1
	MOV	[W1], W0
	INC	W0
	MOV	W0, [W1]
;main.c,295 :: 		if(flakes[i].frame > 13){
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #8, W0
	MOV	[W0], W0
	CP	W0, #13
	BRA GT	L__RenderScreen148
	GOTO	L_RenderScreen17
L__RenderScreen148:
;main.c,296 :: 		flakes[i].frame = 1;
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #8, W1
	MOV	#1, W0
	MOV	W0, [W1]
;main.c,297 :: 		}
L_RenderScreen17:
;main.c,288 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1); i++){
	INC	W4
;main.c,298 :: 		}
; i end address is: 8 (W4)
	GOTO	L_RenderScreen14
L_RenderScreen15:
;main.c,301 :: 		DrawSnowFall();
	CALL	_DrawSnowFall
;main.c,304 :: 		RenderScore();
	CALL	_RenderScore
;main.c,306 :: 		}
L_end_RenderScreen:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _RenderScreen

_InitGame:

;main.c,308 :: 		void InitGame(){
;main.c,310 :: 		score = 0;
	CLR	W0
	CLR	W1
	MOV	W0, _score
	MOV	W1, _score+2
;main.c,311 :: 		prev_score = 0;
	CLR	W0
	CLR	W1
	MOV	W0, _prev_score
	MOV	W1, _prev_score+2
;main.c,314 :: 		snow_height = 0;
	CLR	W0
	MOV	W0, _snow_height
;main.c,317 :: 		game_over = 0;
	CLR	W0
	MOV	W0, _game_over
;main.c,318 :: 		}
L_end_InitGame:
	RETURN
; end of _InitGame

_FlakeReset:
	LNK	#4

;main.c,320 :: 		void FlakeReset(int flake_number){
;main.c,321 :: 		int offset = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,323 :: 		int top_clear_flake_pos = 0;
;main.c,326 :: 		TFT_Set_Pen(sky_color, 1);
	PUSH	W10
	MOV	#1, W11
	MOV	_sky_color, W10
	CALL	_TFT_Set_Pen
;main.c,329 :: 		TFT_Set_Brush(1, sky_color, 0, TOP_TO_BOTTOM, sky_color, sky_color);
	CLR	W13
	CLR	W12
	MOV	_sky_color, W11
	MOV	#1, W10
	PUSH	_sky_color
	PUSH	_sky_color
	CALL	_TFT_Set_Brush
	SUB	#4, W15
	POP	W10
;main.c,335 :: 		top_clear_flake_pos = flakes[flake_number].y-flakes[flake_number].speed;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #2, W1
	ADD	W0, #16, W0
	MOV	[W0], W0
	SUBR	W0, [W1], W0
; top_clear_flake_pos start address is: 8 (W4)
	MOV	W0, W4
;main.c,336 :: 		if(top_clear_flake_pos < 0){
	CP	W0, #0
	BRA LT	L__FlakeReset151
	GOTO	L__FlakeReset122
L__FlakeReset151:
;main.c,337 :: 		top_clear_flake_pos = 0;
	CLR	W4
; top_clear_flake_pos end address is: 8 (W4)
;main.c,338 :: 		}
	GOTO	L_FlakeReset18
L__FlakeReset122:
;main.c,336 :: 		if(top_clear_flake_pos < 0){
;main.c,338 :: 		}
L_FlakeReset18:
;main.c,341 :: 		TFT_Rectangle(flakes[flake_number].x,top_clear_flake_pos, flakes[flake_number].x+flakes[flake_number].width, flakes[flake_number].y+flakes[flake_number].height);
; top_clear_flake_pos start address is: 8 (W4)
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W3
	ADD	W3, #2, W1
	ADD	W3, #14, W0
	MOV	[W0], W0
	ADD	W0, [W1], W2
	MOV	[W3], W1
	ADD	W3, #12, W0
	ADD	W1, [W0], W0
	PUSH	W10
	MOV	W2, W13
	MOV	W0, W12
	MOV	W4, W11
; top_clear_flake_pos end address is: 8 (W4)
	MOV	W1, W10
	CALL	_TFT_Rectangle
	POP	W10
;main.c,344 :: 		flakes[flake_number].x = ((320 + 32)/ NUMBER_OF_FLAKES) * flake_number + ( getRandom(120) - 60);
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	MOV	W0, [W14+2]
	MOV	#117, W0
	MUL.SS	W0, W10, W0
	MOV	W0, [W14+0]
	PUSH	W10
	MOV	#120, W10
	CALL	_GetRandom
	POP	W10
	MOV	#60, W1
	SUB	W0, W1, W3
	MOV	[W14+2], W2
	MOV	[W14+0], W0
	ADD	W0, W3, [W2]
;main.c,347 :: 		if(  flakes[flake_number].x < 0){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA LT	L__FlakeReset152
	GOTO	L_FlakeReset19
L__FlakeReset152:
;main.c,348 :: 		flakes[flake_number].x = 0;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W1
	CLR	W0
	MOV	W0, [W1]
;main.c,349 :: 		}
L_FlakeReset19:
;main.c,350 :: 		if(  flakes[flake_number].x > 290){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	MOV	[W0], W1
	MOV	#290, W0
	CP	W1, W0
	BRA GT	L__FlakeReset153
	GOTO	L_FlakeReset20
L__FlakeReset153:
;main.c,351 :: 		flakes[flake_number].x = 290;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W1
	MOV	#290, W0
	MOV	W0, [W1]
;main.c,352 :: 		}
L_FlakeReset20:
;main.c,355 :: 		flakes[flake_number].y = 0;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #2, W1
	CLR	W0
	MOV	W0, [W1]
;main.c,357 :: 		flakes[flake_number].prev_x = flakes[flake_number].x;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #4, W1
	MOV	[W0], W0
	MOV	W0, [W1]
;main.c,358 :: 		flakes[flake_number].prev_y = flakes[flake_number].y;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #6, W1
	INC2	W0
	MOV	[W0], [W1]
;main.c,361 :: 		flakes[flake_number].frame = getRandom(13);
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #8, W0
	MOV	W0, [W14+0]
	PUSH	W10
	MOV	#13, W10
	CALL	_GetRandom
	POP	W10
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,365 :: 		flakes[flake_number].scale = getRandom(2);
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	W0, [W14+0]
	PUSH	W10
	MOV	#2, W10
	CALL	_GetRandom
	POP	W10
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,368 :: 		if(flakes[flake_number].scale == 1){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA Z	L__FlakeReset154
	GOTO	L_FlakeReset21
L__FlakeReset154:
;main.c,369 :: 		flakes[flake_number].width = 32;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #12, W1
	MOV	#32, W0
	MOV	W0, [W1]
;main.c,370 :: 		flakes[flake_number].height = 32;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #14, W1
	MOV	#32, W0
	MOV	W0, [W1]
;main.c,371 :: 		}
	GOTO	L_FlakeReset22
L_FlakeReset21:
;main.c,373 :: 		flakes[flake_number].width = 64;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #12, W1
	MOV	#64, W0
	MOV	W0, [W1]
;main.c,374 :: 		flakes[flake_number].height = 64;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #14, W1
	MOV	#64, W0
	MOV	W0, [W1]
;main.c,375 :: 		}
L_FlakeReset22:
;main.c,384 :: 		if (flakes[flake_number].scale  == 1){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA Z	L__FlakeReset155
	GOTO	L_FlakeReset23
L__FlakeReset155:
;main.c,386 :: 		flakes[flake_number].speed = getRandom(4)+ 2;
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #16, W0
	MOV	W0, [W14+0]
	MOV	#4, W10
	CALL	_GetRandom
	ADD	W0, #2, W1
	MOV	[W14+0], W0
	MOV	W1, [W0]
;main.c,387 :: 		}
	GOTO	L_FlakeReset24
L_FlakeReset23:
;main.c,390 :: 		flakes[flake_number].speed = getRandom(3);
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #16, W0
	MOV	W0, [W14+0]
	MOV	#3, W10
	CALL	_GetRandom
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,391 :: 		}
L_FlakeReset24:
;main.c,393 :: 		}
L_end_FlakeReset:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _FlakeReset

_SavePrevValues:

;main.c,396 :: 		void SavePrevValues(){
;main.c,400 :: 		frame_counter++;
	MOV	#1, W1
	MOV	#0, W2
	MOV	#lo_addr(_frame_counter), W0
	ADD	W1, [W0], [W0++]
	ADDC	W2, [W0], [W0--]
;main.c,403 :: 		prev_snow_height = snow_height;
	MOV	_snow_height, W0
	MOV	W0, _prev_snow_height
;main.c,406 :: 		prev_score = score;
	MOV	_score, W0
	MOV	_score+2, W1
	MOV	W0, _prev_score
	MOV	W1, _prev_score+2
;main.c,410 :: 		prev_muteSound = muteSound;
	MOV	_muteSound, W0
	MOV	W0, _prev_muteSound
;main.c,413 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
; i start address is: 8 (W4)
	CLR	W4
; i end address is: 8 (W4)
L_SavePrevValues25:
; i start address is: 8 (W4)
	CP	W4, #2
	BRA LE	L__SavePrevValues157
	GOTO	L_SavePrevValues26
L__SavePrevValues157:
;main.c,414 :: 		flakes[i].prev_x = flakes[i].x;
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #4, W1
	MOV	[W0], W0
	MOV	W0, [W1]
;main.c,415 :: 		flakes[i].prev_y = flakes[i].y;
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #6, W1
	INC2	W0
	MOV	[W0], [W1]
;main.c,413 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
	INC	W4
;main.c,416 :: 		}
; i end address is: 8 (W4)
	GOTO	L_SavePrevValues25
L_SavePrevValues26:
;main.c,417 :: 		}
L_end_SavePrevValues:
	RETURN
; end of _SavePrevValues

_FlakeMissed:

;main.c,419 :: 		void FlakeMissed(int flake_number)
;main.c,423 :: 		if(flakes[flake_number].scale == 1){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA Z	L__FlakeMissed159
	GOTO	L_FlakeMissed28
L__FlakeMissed159:
;main.c,426 :: 		if(snow_height > 120){
	MOV	#120, W1
	MOV	#lo_addr(_snow_height), W0
	CP	W1, [W0]
	BRA LT	L__FlakeMissed160
	GOTO	L_FlakeMissed29
L__FlakeMissed160:
;main.c,428 :: 		snow_height+=3;
	MOV	#3, W1
	MOV	#lo_addr(_snow_height), W0
	ADD	W1, [W0], [W0]
;main.c,429 :: 		}
	GOTO	L_FlakeMissed30
L_FlakeMissed29:
;main.c,432 :: 		snow_height+=7;
	MOV	#7, W1
	MOV	#lo_addr(_snow_height), W0
	ADD	W1, [W0], [W0]
;main.c,433 :: 		}
L_FlakeMissed30:
;main.c,435 :: 		}
	GOTO	L_FlakeMissed31
L_FlakeMissed28:
;main.c,437 :: 		else if(flakes[flake_number].scale ==2){
	MOV	#18, W0
	MUL.UU	W0, W10, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #2
	BRA Z	L__FlakeMissed161
	GOTO	L_FlakeMissed32
L__FlakeMissed161:
;main.c,439 :: 		if(snow_height > 120){
	MOV	#120, W1
	MOV	#lo_addr(_snow_height), W0
	CP	W1, [W0]
	BRA LT	L__FlakeMissed162
	GOTO	L_FlakeMissed33
L__FlakeMissed162:
;main.c,441 :: 		snow_height+=7;
	MOV	#7, W1
	MOV	#lo_addr(_snow_height), W0
	ADD	W1, [W0], [W0]
;main.c,442 :: 		}
	GOTO	L_FlakeMissed34
L_FlakeMissed33:
;main.c,445 :: 		snow_height+=15;
	MOV	#15, W1
	MOV	#lo_addr(_snow_height), W0
	ADD	W1, [W0], [W0]
;main.c,446 :: 		}
L_FlakeMissed34:
;main.c,448 :: 		}
L_FlakeMissed32:
L_FlakeMissed31:
;main.c,450 :: 		FlakeReset(flake_number);
	CALL	_FlakeReset
;main.c,452 :: 		}
L_end_FlakeMissed:
	RETURN
; end of _FlakeMissed

_TappedFlake:

;main.c,455 :: 		void TappedFlake(){
;main.c,458 :: 		int tapped_flake_size = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,462 :: 		if( Pen_Down && (abs(X_Drag_Distance) < 10)  ){
	MOV	#lo_addr(_Pen_Down), W0
	CP0.B	[W0]
	BRA NZ	L__TappedFlake164
	GOTO	L__TappedFlake125
L__TappedFlake164:
	MOV	_X_Drag_Distance, W10
	CALL	_abs
	CP	W0, #10
	BRA LT	L__TappedFlake165
	GOTO	L__TappedFlake124
L__TappedFlake165:
L__TappedFlake123:
;main.c,465 :: 		for(i=0;i<NUMBER_OF_FLAKES;i++){
; i start address is: 12 (W6)
	CLR	W6
; i end address is: 12 (W6)
L_TappedFlake38:
; i start address is: 12 (W6)
	CP	W6, #3
	BRA LT	L__TappedFlake166
	GOTO	L_TappedFlake39
L__TappedFlake166:
;main.c,468 :: 		if(IsCollision (X_Coord-TAP_RADIUS, Y_Coord-TAP_RADIUS, TAP_RADIUS*2, TAP_RADIUS*2, flakes[i].x, flakes[i].y, flakes[i].width, flakes[i].height) ){
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W1
	ADD	W1, #14, W0
	MOV	[W0], W5
	ADD	W1, #12, W0
	MOV	[W0], W4
	ADD	W1, #2, W0
	MOV	[W0], W3
	MOV	[W1], W2
	MOV	_Y_Coord, W0
	SUB	W0, #15, W1
	MOV	_X_Coord, W0
	SUB	W0, #15, W0
	PUSH	W6
	MOV	#30, W13
	MOV	#30, W12
	MOV	W1, W11
	MOV	W0, W10
	PUSH	W5
	PUSH	W4
	PUSH	W3
	PUSH	W2
	CALL	_IsCollision
	SUB	#8, W15
	POP	W6
	CP0.B	W0
	BRA NZ	L__TappedFlake167
	GOTO	L_TappedFlake41
L__TappedFlake167:
;main.c,471 :: 		if(flakes[i].scale == 1){
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA Z	L__TappedFlake168
	GOTO	L_TappedFlake42
L__TappedFlake168:
;main.c,473 :: 		score+= 50;
	MOV	#50, W1
	MOV	#0, W2
	MOV	#lo_addr(_score), W0
	ADD	W1, [W0], [W0++]
	ADDC	W2, [W0], [W0--]
;main.c,474 :: 		}
	GOTO	L_TappedFlake43
L_TappedFlake42:
;main.c,477 :: 		score+= 25;
	MOV	#25, W1
	MOV	#0, W2
	MOV	#lo_addr(_score), W0
	ADD	W1, [W0], [W0++]
	ADDC	W2, [W0], [W0--]
;main.c,478 :: 		}
L_TappedFlake43:
;main.c,483 :: 		FlakeReset(i);
	PUSH	W6
	MOV	W6, W10
	CALL	_FlakeReset
	POP	W6
;main.c,485 :: 		}
L_TappedFlake41:
;main.c,465 :: 		for(i=0;i<NUMBER_OF_FLAKES;i++){
	INC	W6
;main.c,487 :: 		}
; i end address is: 12 (W6)
	GOTO	L_TappedFlake38
L_TappedFlake39:
;main.c,462 :: 		if( Pen_Down && (abs(X_Drag_Distance) < 10)  ){
L__TappedFlake125:
L__TappedFlake124:
;main.c,491 :: 		}
L_end_TappedFlake:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _TappedFlake

_DrawFlake:

;main.c,494 :: 		void DrawFlake(int frame, int x, int y, int scale){
;main.c,496 :: 		switch (frame) {
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	GOTO	L_DrawFlake44
;main.c,497 :: 		case 0:
L_DrawFlake46:
;main.c,498 :: 		TFT_Image(x, y, snowflake1_bmp, scale);
	MOV	#lo_addr(_snowflake1_bmp), W0
	MOV	#higher_addr(_snowflake1_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,499 :: 		break;
	GOTO	L_DrawFlake45
;main.c,501 :: 		case 1:
L_DrawFlake47:
;main.c,502 :: 		TFT_Image(x, y, snowflake1_bmp, scale);
	MOV	#lo_addr(_snowflake1_bmp), W0
	MOV	#higher_addr(_snowflake1_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,503 :: 		break;
	GOTO	L_DrawFlake45
;main.c,505 :: 		case 2:
L_DrawFlake48:
;main.c,506 :: 		TFT_Image(x, y, snowflake2_bmp, scale);
	MOV	#lo_addr(_snowflake2_bmp), W0
	MOV	#higher_addr(_snowflake2_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,507 :: 		break;
	GOTO	L_DrawFlake45
;main.c,509 :: 		case 3:
L_DrawFlake49:
;main.c,510 :: 		TFT_Image(x, y, snowflake3_bmp, scale);
	MOV	#lo_addr(_snowflake3_bmp), W0
	MOV	#higher_addr(_snowflake3_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,511 :: 		break;
	GOTO	L_DrawFlake45
;main.c,513 :: 		case 4:
L_DrawFlake50:
;main.c,514 :: 		TFT_Image(x, y, snowflake4_bmp, scale);
	MOV	#lo_addr(_snowflake4_bmp), W0
	MOV	#higher_addr(_snowflake4_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,515 :: 		break;
	GOTO	L_DrawFlake45
;main.c,517 :: 		case 5:
L_DrawFlake51:
;main.c,518 :: 		TFT_Image(x, y, snowflake5_bmp, scale);
	MOV	#lo_addr(_snowflake5_bmp), W0
	MOV	#higher_addr(_snowflake5_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,519 :: 		break;
	GOTO	L_DrawFlake45
;main.c,521 :: 		case 6:
L_DrawFlake52:
;main.c,522 :: 		TFT_Image(x, y, snowflake6_bmp, scale);
	MOV	#lo_addr(_snowflake6_bmp), W0
	MOV	#higher_addr(_snowflake6_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,523 :: 		break;
	GOTO	L_DrawFlake45
;main.c,525 :: 		case 7:
L_DrawFlake53:
;main.c,526 :: 		TFT_Image(x, y, snowflake7_bmp, scale);
	MOV	#lo_addr(_snowflake7_bmp), W0
	MOV	#higher_addr(_snowflake7_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,527 :: 		break;
	GOTO	L_DrawFlake45
;main.c,529 :: 		case 8:
L_DrawFlake54:
;main.c,530 :: 		TFT_Image(x, y, snowflake8_bmp, scale);
	MOV	#lo_addr(_snowflake8_bmp), W0
	MOV	#higher_addr(_snowflake8_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,531 :: 		break;
	GOTO	L_DrawFlake45
;main.c,533 :: 		case 9:
L_DrawFlake55:
;main.c,534 :: 		TFT_Image(x, y, snowflake9_bmp, scale);
	MOV	#lo_addr(_snowflake9_bmp), W0
	MOV	#higher_addr(_snowflake9_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,535 :: 		break;
	GOTO	L_DrawFlake45
;main.c,537 :: 		case 10:
L_DrawFlake56:
;main.c,538 :: 		TFT_Image(x, y, snowflake10_bmp, scale);
	MOV	#lo_addr(_snowflake10_bmp), W0
	MOV	#higher_addr(_snowflake10_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,539 :: 		break;
	GOTO	L_DrawFlake45
;main.c,541 :: 		case 11:
L_DrawFlake57:
;main.c,542 :: 		TFT_Image(x, y, snowflake11_bmp, scale);
	MOV	#lo_addr(_snowflake11_bmp), W0
	MOV	#higher_addr(_snowflake11_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,543 :: 		break;
	GOTO	L_DrawFlake45
;main.c,545 :: 		case 12:
L_DrawFlake58:
;main.c,546 :: 		TFT_Image(x, y, snowflake12_bmp, scale);
	MOV	#lo_addr(_snowflake12_bmp), W0
	MOV	#higher_addr(_snowflake12_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,547 :: 		break;
	GOTO	L_DrawFlake45
;main.c,549 :: 		case 13:
L_DrawFlake59:
;main.c,550 :: 		TFT_Image(x, y, snowflake13_bmp, scale);
	MOV	#lo_addr(_snowflake13_bmp), W0
	MOV	#higher_addr(_snowflake13_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,551 :: 		break;
	GOTO	L_DrawFlake45
;main.c,553 :: 		case 14:
L_DrawFlake60:
;main.c,554 :: 		TFT_Image(x, y, snowflake14_bmp, scale);
	MOV	#lo_addr(_snowflake14_bmp), W0
	MOV	#higher_addr(_snowflake14_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,555 :: 		break;
	GOTO	L_DrawFlake45
;main.c,557 :: 		default:
L_DrawFlake61:
;main.c,558 :: 		TFT_Image(x, y, snowflake1_bmp, scale);
	MOV	#lo_addr(_snowflake1_bmp), W0
	MOV	#higher_addr(_snowflake1_bmp), W1
	PUSH	W13
	MOV	W11, W10
	MOV	W12, W11
	MOV.D	W0, W12
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,560 :: 		}
	GOTO	L_DrawFlake45
L_DrawFlake44:
	CP	W10, #0
	BRA NZ	L__DrawFlake170
	GOTO	L_DrawFlake46
L__DrawFlake170:
	CP	W10, #1
	BRA NZ	L__DrawFlake171
	GOTO	L_DrawFlake47
L__DrawFlake171:
	CP	W10, #2
	BRA NZ	L__DrawFlake172
	GOTO	L_DrawFlake48
L__DrawFlake172:
	CP	W10, #3
	BRA NZ	L__DrawFlake173
	GOTO	L_DrawFlake49
L__DrawFlake173:
	CP	W10, #4
	BRA NZ	L__DrawFlake174
	GOTO	L_DrawFlake50
L__DrawFlake174:
	CP	W10, #5
	BRA NZ	L__DrawFlake175
	GOTO	L_DrawFlake51
L__DrawFlake175:
	CP	W10, #6
	BRA NZ	L__DrawFlake176
	GOTO	L_DrawFlake52
L__DrawFlake176:
	CP	W10, #7
	BRA NZ	L__DrawFlake177
	GOTO	L_DrawFlake53
L__DrawFlake177:
	CP	W10, #8
	BRA NZ	L__DrawFlake178
	GOTO	L_DrawFlake54
L__DrawFlake178:
	CP	W10, #9
	BRA NZ	L__DrawFlake179
	GOTO	L_DrawFlake55
L__DrawFlake179:
	CP	W10, #10
	BRA NZ	L__DrawFlake180
	GOTO	L_DrawFlake56
L__DrawFlake180:
	CP	W10, #11
	BRA NZ	L__DrawFlake181
	GOTO	L_DrawFlake57
L__DrawFlake181:
	CP	W10, #12
	BRA NZ	L__DrawFlake182
	GOTO	L_DrawFlake58
L__DrawFlake182:
	CP	W10, #13
	BRA NZ	L__DrawFlake183
	GOTO	L_DrawFlake59
L__DrawFlake183:
	CP	W10, #14
	BRA NZ	L__DrawFlake184
	GOTO	L_DrawFlake60
L__DrawFlake184:
	GOTO	L_DrawFlake61
L_DrawFlake45:
;main.c,563 :: 		}
L_end_DrawFlake:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _DrawFlake

_Init_Sprites:
	LNK	#4

;main.c,569 :: 		void Init_Sprites(){
;main.c,570 :: 		int random_x = 0;
	PUSH	W10
;main.c,571 :: 		int i = 0;
;main.c,573 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
; i start address is: 12 (W6)
	CLR	W6
; i end address is: 12 (W6)
L_Init_Sprites62:
; i start address is: 12 (W6)
	CP	W6, #2
	BRA LE	L__Init_Sprites186
	GOTO	L_Init_Sprites63
L__Init_Sprites186:
;main.c,577 :: 		flakes[i].x = ((320 + 32)/ NUMBER_OF_FLAKES) * i + getRandom(32);
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	MOV	W0, [W14+2]
	MOV	#117, W0
	MUL.SS	W0, W6, W0
	MOV	W0, [W14+0]
	MOV	#32, W10
	CALL	_GetRandom
	MOV	[W14+2], W1
	MOV	[W14+0], W2
	ADD	W2, W0, [W1]
;main.c,578 :: 		flakes[i].y = getRandom(5) * 48;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	INC2	W0
	MOV	W0, [W14+0]
	MOV	#5, W10
	CALL	_GetRandom
	MOV	#48, W1
	MUL.SS	W0, W1, W2
	MOV	[W14+0], W0
	MOV	W2, [W0]
;main.c,581 :: 		flakes[i].prev_x = flakes[i].x;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #4, W1
	MOV	[W0], W0
	MOV	W0, [W1]
;main.c,582 :: 		flakes[i].prev_y = flakes[i].y;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #6, W1
	INC2	W0
	MOV	[W0], [W1]
;main.c,586 :: 		flakes[i].frame = getRandom(13);
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #8, W0
	MOV	W0, [W14+0]
	MOV	#13, W10
	CALL	_GetRandom
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,590 :: 		flakes[i].scale = getRandom(2);
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	W0, [W14+0]
	MOV	#2, W10
	CALL	_GetRandom
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,593 :: 		if(flakes[i].scale == 1){
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #10, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA Z	L__Init_Sprites187
	GOTO	L_Init_Sprites65
L__Init_Sprites187:
;main.c,594 :: 		flakes[i].width = 32;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #12, W1
	MOV	#32, W0
	MOV	W0, [W1]
;main.c,595 :: 		flakes[i].height = 32;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #14, W1
	MOV	#32, W0
	MOV	W0, [W1]
;main.c,596 :: 		}
	GOTO	L_Init_Sprites66
L_Init_Sprites65:
;main.c,598 :: 		flakes[i].width = 64;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #12, W1
	MOV	#64, W0
	MOV	W0, [W1]
;main.c,599 :: 		flakes[i].height = 64;
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #14, W1
	MOV	#64, W0
	MOV	W0, [W1]
;main.c,600 :: 		}
L_Init_Sprites66:
;main.c,604 :: 		flakes[i].speed = getRandom(4);
	MOV	#18, W0
	MUL.UU	W0, W6, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W0
	ADD	W0, #16, W0
	MOV	W0, [W14+0]
	MOV	#4, W10
	CALL	_GetRandom
	MOV	[W14+0], W1
	MOV	W0, [W1]
;main.c,573 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
	INC	W6
;main.c,607 :: 		}
; i end address is: 12 (W6)
	GOTO	L_Init_Sprites62
L_Init_Sprites63:
;main.c,609 :: 		}
L_end_Init_Sprites:
	POP	W10
	ULNK
	RETURN
; end of _Init_Sprites

_DrawSnowFall:

;main.c,612 :: 		void DrawSnowFall(){
;main.c,614 :: 		int screen_snow_height = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,615 :: 		int prev_screen_snow_height = 0;
;main.c,618 :: 		if(snow_height > (240-64-STATUS_TEXT_HEIGHT)){
	MOV	#151, W1
	MOV	#lo_addr(_snow_height), W0
	CP	W1, [W0]
	BRA LT	L__DrawSnowFall189
	GOTO	L_DrawSnowFall67
L__DrawSnowFall189:
;main.c,619 :: 		game_over = 1;
	MOV	#1, W0
	MOV	W0, _game_over
;main.c,620 :: 		}
L_DrawSnowFall67:
;main.c,622 :: 		if( (prev_muteSound != muteSound) || (snow_height != prev_snow_height) || (score != prev_score) || (frame_counter < 1) ){
	MOV	_prev_muteSound, W1
	MOV	#lo_addr(_muteSound), W0
	CP	W1, [W0]
	BRA Z	L__DrawSnowFall190
	GOTO	L__DrawSnowFall131
L__DrawSnowFall190:
	MOV	_snow_height, W1
	MOV	#lo_addr(_prev_snow_height), W0
	CP	W1, [W0]
	BRA Z	L__DrawSnowFall191
	GOTO	L__DrawSnowFall130
L__DrawSnowFall191:
	MOV	_score, W1
	MOV	_score+2, W2
	MOV	#lo_addr(_prev_score), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA Z	L__DrawSnowFall192
	GOTO	L__DrawSnowFall129
L__DrawSnowFall192:
	MOV	_frame_counter, W0
	MOV	_frame_counter+2, W1
	CP	W0, #1
	CPB	W1, #0
	BRA GE	L__DrawSnowFall193
	GOTO	L__DrawSnowFall128
L__DrawSnowFall193:
	GOTO	L_DrawSnowFall70
L__DrawSnowFall131:
L__DrawSnowFall130:
L__DrawSnowFall129:
L__DrawSnowFall128:
;main.c,625 :: 		if(  ((score % 500) == 0) && (snow_height>5) && (score>50)){
	MOV	#500, W2
	MOV	#0, W3
	MOV	_score, W0
	MOV	_score+2, W1
	SETM	W4
	CALL	__Modulus_32x32
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__DrawSnowFall194
	GOTO	L__DrawSnowFall134
L__DrawSnowFall194:
	MOV	_snow_height, W0
	CP	W0, #5
	BRA GT	L__DrawSnowFall195
	GOTO	L__DrawSnowFall133
L__DrawSnowFall195:
	MOV	#50, W1
	MOV	#0, W2
	MOV	#lo_addr(_score), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA LT	L__DrawSnowFall196
	GOTO	L__DrawSnowFall132
L__DrawSnowFall196:
L__DrawSnowFall126:
;main.c,628 :: 		if (snow_height>64){
	MOV	#64, W1
	MOV	#lo_addr(_snow_height), W0
	CP	W1, [W0]
	BRA LT	L__DrawSnowFall197
	GOTO	L_DrawSnowFall74
L__DrawSnowFall197:
;main.c,630 :: 		snow_height-=50;
	MOV	#50, W1
	MOV	#lo_addr(_snow_height), W0
	SUBR	W1, [W0], [W0]
;main.c,631 :: 		}
	GOTO	L_DrawSnowFall75
L_DrawSnowFall74:
;main.c,634 :: 		snow_height-=7;
	MOV	#7, W1
	MOV	#lo_addr(_snow_height), W0
	SUBR	W1, [W0], [W0]
;main.c,635 :: 		}
L_DrawSnowFall75:
;main.c,640 :: 		UART2_Write_Line("You lowered the snowbank.");
	MOV	#lo_addr(?lstr2_main), W10
	CALL	_UART2_Write_Line
;main.c,643 :: 		if(snow_height<0){
	MOV	_snow_height, W0
	CP	W0, #0
	BRA LT	L__DrawSnowFall198
	GOTO	L_DrawSnowFall76
L__DrawSnowFall198:
;main.c,644 :: 		snow_height=0;
	CLR	W0
	MOV	W0, _snow_height
;main.c,645 :: 		}
L_DrawSnowFall76:
;main.c,647 :: 		screen_snow_height = 240-snow_height-STATUS_TEXT_HEIGHT;
	MOV	#240, W1
	MOV	#lo_addr(_snow_height), W0
	SUB	W1, [W0], W0
	SUB	W0, #25, W2
; screen_snow_height start address is: 6 (W3)
	MOV	W2, W3
;main.c,648 :: 		prev_screen_snow_height = 240-prev_snow_height-STATUS_TEXT_HEIGHT;
	MOV	#240, W1
	MOV	#lo_addr(_prev_snow_height), W0
	SUB	W1, [W0], W0
; prev_screen_snow_height start address is: 0 (W0)
	SUB	W0, #25, W0
;main.c,652 :: 		if(screen_snow_height<0){
	CP	W2, #0
	BRA LT	L__DrawSnowFall199
	GOTO	L__DrawSnowFall135
L__DrawSnowFall199:
; screen_snow_height end address is: 6 (W3)
;main.c,653 :: 		screen_snow_height=0;
; screen_snow_height start address is: 4 (W2)
	CLR	W2
; screen_snow_height end address is: 4 (W2)
;main.c,654 :: 		}
	GOTO	L_DrawSnowFall77
L__DrawSnowFall135:
;main.c,652 :: 		if(screen_snow_height<0){
	MOV	W3, W2
;main.c,654 :: 		}
L_DrawSnowFall77:
;main.c,657 :: 		if(prev_screen_snow_height<0){
; screen_snow_height start address is: 4 (W2)
	CP	W0, #0
	BRA LT	L__DrawSnowFall200
	GOTO	L__DrawSnowFall136
L__DrawSnowFall200:
;main.c,658 :: 		prev_screen_snow_height=0;
	CLR	W0
; prev_screen_snow_height end address is: 0 (W0)
	MOV	W0, W3
;main.c,659 :: 		}
	GOTO	L_DrawSnowFall78
L__DrawSnowFall136:
;main.c,657 :: 		if(prev_screen_snow_height<0){
	MOV	W0, W3
;main.c,659 :: 		}
L_DrawSnowFall78:
;main.c,662 :: 		TFT_Set_Pen(sky_color, 1);
; prev_screen_snow_height start address is: 6 (W3)
	MOV	#1, W11
	MOV	_sky_color, W10
	CALL	_TFT_Set_Pen
;main.c,665 :: 		TFT_Set_Brush(1, sky_color, 0, TOP_TO_BOTTOM, sky_color, sky_color);
	CLR	W13
	CLR	W12
	MOV	_sky_color, W11
	MOV	#1, W10
	PUSH	_sky_color
	PUSH	_sky_color
	CALL	_TFT_Set_Brush
	SUB	#4, W15
;main.c,668 :: 		TFT_Rectangle(0, prev_screen_snow_height, SCREEN_WIDTH, screen_snow_height);
	MOV	W2, W13
; screen_snow_height end address is: 4 (W2)
	MOV	#320, W12
	MOV	W3, W11
; prev_screen_snow_height end address is: 6 (W3)
	CLR	W10
	CALL	_TFT_Rectangle
;main.c,625 :: 		if(  ((score % 500) == 0) && (snow_height>5) && (score>50)){
L__DrawSnowFall134:
L__DrawSnowFall133:
L__DrawSnowFall132:
;main.c,675 :: 		TFT_Set_Pen(0, 0);
	CLR	W11
	CLR	W10
	CALL	_TFT_Set_Pen
;main.c,681 :: 		TFT_Set_Brush(1, 0, 1, TOP_TO_BOTTOM, CL_WHITE, CL_GRAY);
	CLR	W13
	MOV	#1, W12
	CLR	W11
	MOV	#1, W10
	MOV	#33808, W0
	PUSH	W0
	MOV	#65535, W0
	PUSH	W0
	CALL	_TFT_Set_Brush
	SUB	#4, W15
;main.c,687 :: 		TFT_Rectangle(0, 240-snow_height-STATUS_TEXT_HEIGHT, 319, 240);
	MOV	#240, W1
	MOV	#lo_addr(_snow_height), W0
	SUB	W1, [W0], W0
	SUB	W0, #25, W0
	MOV	#240, W13
	MOV	#319, W12
	MOV	W0, W11
	CLR	W10
	CALL	_TFT_Rectangle
;main.c,689 :: 		}
L_DrawSnowFall70:
;main.c,690 :: 		}
L_end_DrawSnowFall:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _DrawSnowFall

_GetRandom:

;main.c,694 :: 		int GetRandom(int range){
;main.c,695 :: 		return (rand() % range) + 1;
	CALL	_rand
	REPEAT	#17
	DIV.S	W0, W10
	MOV	W1, W0
	INC	W0
;main.c,696 :: 		}
L_end_GetRandom:
	RETURN
; end of _GetRandom

_GetInput:

;main.c,700 :: 		void GetInput(){
;main.c,702 :: 		if(TP_TFT_Press_Detect()){
	PUSH	W10
	PUSH	W11
	CALL	_TP_TFT_Press_Detect
	CP0.B	W0
	BRA NZ	L__GetInput203
	GOTO	L_GetInput79
L__GetInput203:
;main.c,704 :: 		if (TP_TFT_Get_Coordinates(&X_Coord, &Y_Coord) == 0) {
	MOV	#lo_addr(_Y_Coord), W11
	MOV	#lo_addr(_X_Coord), W10
	CALL	_TP_TFT_Get_Coordinates
	CP.B	W0, #0
	BRA Z	L__GetInput204
	GOTO	L_GetInput80
L__GetInput204:
;main.c,707 :: 		if(Pen_Down == 0){
	MOV	#lo_addr(_Pen_Down), W0
	MOV.B	[W0], W0
	CP.B	W0, #0
	BRA Z	L__GetInput205
	GOTO	L_GetInput81
L__GetInput205:
;main.c,708 :: 		Starting_Pen_Down_X_Coord = X_Coord;
	MOV	_X_Coord, W0
	MOV	W0, _Starting_Pen_Down_X_Coord
;main.c,709 :: 		Starting_Pen_Down_Y_Coord = Y_Coord;
	MOV	_Y_Coord, W0
	MOV	W0, _Starting_Pen_Down_Y_Coord
;main.c,712 :: 		}
L_GetInput81:
;main.c,714 :: 		X_Drag_Distance =  Starting_Pen_Down_X_Coord - X_Coord;
	MOV	_Starting_Pen_Down_X_Coord, W2
	MOV	#lo_addr(_X_Coord), W1
	MOV	#lo_addr(_X_Drag_Distance), W0
	SUB	W2, [W1], [W0]
;main.c,717 :: 		Pen_Down = 1;
	MOV	#lo_addr(_Pen_Down), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;main.c,719 :: 		}  //end of tap x / y location checking
L_GetInput80:
;main.c,721 :: 		}
	GOTO	L_GetInput82
L_GetInput79:
;main.c,724 :: 		Pen_Down = 0;
	MOV	#lo_addr(_Pen_Down), W1
	CLR	W0
	MOV.B	W0, [W1]
;main.c,725 :: 		}
L_GetInput82:
;main.c,728 :: 		if( (Pen_Down == 1 )&& (Y_coord > (SCREEN_HEIGHT-STATUS_TEXT_HEIGHT)) ) {
	MOV	#lo_addr(_Pen_Down), W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L__GetInput206
	GOTO	L__GetInput121
L__GetInput206:
	MOV	#215, W1
	MOV	#lo_addr(_Y_Coord), W0
	CP	W1, [W0]
	BRA LTU	L__GetInput207
	GOTO	L__GetInput120
L__GetInput207:
L__GetInput119:
;main.c,730 :: 		ToggleMute();
	CALL	_ToggleMute
;main.c,731 :: 		Delay_ms(500);
	MOV	#82, W8
	MOV	#24943, W7
L_GetInput86:
	DEC	W7
	BRA NZ	L_GetInput86
	DEC	W8
	BRA NZ	L_GetInput86
	NOP
;main.c,728 :: 		if( (Pen_Down == 1 )&& (Y_coord > (SCREEN_HEIGHT-STATUS_TEXT_HEIGHT)) ) {
L__GetInput121:
L__GetInput120:
;main.c,734 :: 		}
L_end_GetInput:
	POP	W11
	POP	W10
	RETURN
; end of _GetInput

_ClearFlake:

;main.c,738 :: 		void ClearFlake(){
;main.c,739 :: 		int i = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,741 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
; i start address is: 8 (W4)
	CLR	W4
; i end address is: 8 (W4)
L_ClearFlake88:
; i start address is: 8 (W4)
	CP	W4, #2
	BRA LE	L__ClearFlake209
	GOTO	L_ClearFlake89
L__ClearFlake209:
;main.c,752 :: 		clear_up_down_flake.left = flakes[i].x;
	MOV	#18, W0
	MUL.UU	W0, W4, W2
	MOV	#lo_addr(_flakes), W0
	ADD	W0, W2, W3
	MOV	[W3], W2
	MOV	W2, _clear_up_down_flake+2
;main.c,753 :: 		clear_up_down_flake.top = flakes[i].prev_y;
	ADD	W3, #6, W0
	MOV	[W0], W0
	MOV	W0, _clear_up_down_flake
;main.c,754 :: 		clear_up_down_flake.right = flakes[i].x + flakes[i].width;
	MOV	[W3], W1
	ADD	W3, #12, W0
	ADD	W1, [W0], W0
	MOV	W0, _clear_up_down_flake+6
;main.c,756 :: 		clear_up_down_flake.bottom = flakes[i].y;
	ADD	W3, #2, W0
	MOV	[W0], W0
	MOV	W0, _clear_up_down_flake+4
;main.c,760 :: 		if (clear_up_down_flake.left < 0) {
	CP	W2, #0
	BRA LT	L__ClearFlake210
	GOTO	L_ClearFlake91
L__ClearFlake210:
;main.c,761 :: 		clear_up_down_flake.left = 0;
	CLR	W0
	MOV	W0, _clear_up_down_flake+2
;main.c,762 :: 		}
L_ClearFlake91:
;main.c,763 :: 		if (clear_up_down_flake.top < 0) {
	MOV	_clear_up_down_flake, W0
	CP	W0, #0
	BRA LT	L__ClearFlake211
	GOTO	L_ClearFlake92
L__ClearFlake211:
;main.c,764 :: 		clear_up_down_flake.top = 0;
	CLR	W0
	MOV	W0, _clear_up_down_flake
;main.c,765 :: 		}
L_ClearFlake92:
;main.c,766 :: 		if (clear_up_down_flake.right < 0) {
	MOV	_clear_up_down_flake+6, W0
	CP	W0, #0
	BRA LT	L__ClearFlake212
	GOTO	L_ClearFlake93
L__ClearFlake212:
;main.c,767 :: 		clear_up_down_flake.right = 0;
	CLR	W0
	MOV	W0, _clear_up_down_flake+6
;main.c,768 :: 		}
L_ClearFlake93:
;main.c,769 :: 		if (clear_up_down_flake.bottom < 0) {
	MOV	_clear_up_down_flake+4, W0
	CP	W0, #0
	BRA LT	L__ClearFlake213
	GOTO	L_ClearFlake94
L__ClearFlake213:
;main.c,770 :: 		clear_up_down_flake.bottom = 0;
	CLR	W0
	MOV	W0, _clear_up_down_flake+4
;main.c,771 :: 		}
L_ClearFlake94:
;main.c,774 :: 		TFT_Set_Pen(sky_color, 1);
	MOV	#1, W11
	MOV	_sky_color, W10
	CALL	_TFT_Set_Pen
;main.c,777 :: 		TFT_Set_Brush(1, sky_color, 0, TOP_TO_BOTTOM, sky_color, sky_color);
	CLR	W13
	CLR	W12
	MOV	_sky_color, W11
	MOV	#1, W10
	PUSH	_sky_color
	PUSH	_sky_color
	CALL	_TFT_Set_Brush
	SUB	#4, W15
;main.c,790 :: 		if( clear_up_down_flake.bottom > clear_up_down_flake.top){
	MOV	_clear_up_down_flake+4, W1
	MOV	#lo_addr(_clear_up_down_flake), W0
	CP	W1, [W0]
	BRA GT	L__ClearFlake214
	GOTO	L_ClearFlake95
L__ClearFlake214:
;main.c,792 :: 		TFT_Rectangle(clear_up_down_flake.left, clear_up_down_flake.top, clear_up_down_flake.right, clear_up_down_flake.bottom);
	PUSH	W4
	MOV	_clear_up_down_flake+4, W13
	MOV	_clear_up_down_flake+6, W12
	MOV	_clear_up_down_flake, W11
	MOV	_clear_up_down_flake+2, W10
	CALL	_TFT_Rectangle
	POP	W4
;main.c,793 :: 		}
L_ClearFlake95:
;main.c,741 :: 		for(i=0;i<=(NUMBER_OF_FLAKES-1);i++){
	INC	W4
;main.c,794 :: 		}
; i end address is: 8 (W4)
	GOTO	L_ClearFlake88
L_ClearFlake89:
;main.c,795 :: 		}
L_end_ClearFlake:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _ClearFlake

_ToggleMute:

;main.c,801 :: 		void ToggleMute(){
;main.c,803 :: 		if(muteSound){
	PUSH	W10
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA NZ	L__ToggleMute216
	GOTO	L_ToggleMute96
L__ToggleMute216:
;main.c,804 :: 		muteSound = 0;
	CLR	W0
	MOV	W0, _muteSound
;main.c,805 :: 		UART2_Write_Line("Sound On");
	MOV	#lo_addr(?lstr3_main), W10
	CALL	_UART2_Write_Line
;main.c,806 :: 		}
	GOTO	L_ToggleMute97
L_ToggleMute96:
;main.c,807 :: 		else if(!muteSound){
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA Z	L__ToggleMute217
	GOTO	L_ToggleMute98
L__ToggleMute217:
;main.c,809 :: 		muteSound = 1;
	MOV	#1, W0
	MOV	W0, _muteSound
;main.c,810 :: 		UART2_Write_Line("Muting Sound");
	MOV	#lo_addr(?lstr4_main), W10
	CALL	_UART2_Write_Line
;main.c,811 :: 		}
L_ToggleMute98:
L_ToggleMute97:
;main.c,813 :: 		}
L_end_ToggleMute:
	POP	W10
	RETURN
; end of _ToggleMute

_PreRollSong:
	LNK	#4

;main.c,817 :: 		void PreRollSong(){
;main.c,818 :: 		int roll = 0;
;main.c,819 :: 		int roll_max = 100;   //100
	MOV	#100, W0
	MOV	W0, [W14+2]
;main.c,822 :: 		for(roll = 0; roll<=roll_max;roll++){
	CLR	W0
	MOV	W0, [W14+0]
L_PreRollSong99:
	MOV	[W14+0], W1
	ADD	W14, #2, W0
	CP	W1, [W0]
	BRA LE	L__PreRollSong219
	GOTO	L_PreRollSong100
L__PreRollSong219:
;main.c,823 :: 		Play_MP3_Chunk();
	CALL	_Play_MP3_Chunk
;main.c,822 :: 		for(roll = 0; roll<=roll_max;roll++){
	MOV	[W14+0], W1
	ADD	W14, #0, W0
	ADD	W1, #1, [W0]
;main.c,824 :: 		}
	GOTO	L_PreRollSong99
L_PreRollSong100:
;main.c,825 :: 		}
L_end_PreRollSong:
	ULNK
	RETURN
; end of _PreRollSong

_GetNextSong:

;main.c,828 :: 		void GetNextSong(){
;main.c,829 :: 		UART2_Write_Line("Switching to the next song.");
	PUSH	W10
	MOV	#lo_addr(?lstr5_main), W10
	CALL	_UART2_Write_Line
;main.c,831 :: 		Load_MP3_File("tff.mp3");
	MOV	#lo_addr(?lstr6_main), W10
	CALL	_Load_MP3_File
;main.c,834 :: 		if(current_pos < 5){
	MOV	_current_pos, W0
	MOV	_current_pos+2, W1
	CP	W0, #5
	CPB	W1, #0
	BRA LT	L__GetNextSong221
	GOTO	L_GetNextSong102
L__GetNextSong221:
;main.c,835 :: 		PreRollSong();
	CALL	_PreRollSong
;main.c,836 :: 		}
L_GetNextSong102:
;main.c,838 :: 		}
L_end_GetNextSong:
	POP	W10
	RETURN
; end of _GetNextSong

_RenderScore:

;main.c,843 :: 		void RenderScore(){
;main.c,846 :: 		if(muteSound){
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA NZ	L__RenderScore223
	GOTO	L_RenderScore103
L__RenderScore223:
;main.c,849 :: 		TFT_Write_Text("Tap bar to enable music.", 10, 240-STATUS_TEXT_HEIGHT+3);
	MOV	#218, W12
	MOV	#10, W11
	MOV	#lo_addr(?lstr7_main), W10
	CALL	_TFT_Write_Text
;main.c,850 :: 		}
	GOTO	L_RenderScore104
L_RenderScore103:
;main.c,851 :: 		else if(!muteSound){
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA Z	L__RenderScore224
	GOTO	L_RenderScore105
L__RenderScore224:
;main.c,854 :: 		TFT_Write_Text("Tap bar to mute music.", 10, 240-STATUS_TEXT_HEIGHT+3);
	MOV	#218, W12
	MOV	#10, W11
	MOV	#lo_addr(?lstr8_main), W10
	CALL	_TFT_Write_Text
;main.c,855 :: 		}
L_RenderScore105:
L_RenderScore104:
;main.c,862 :: 		IntToStr(score, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	_score, W10
	CALL	_IntToStr
;main.c,865 :: 		TFT_Set_Font(TFT_defaultFont, sky_color, FO_HORIZONTAL);
	CLR	W13
	MOV	_sky_color, W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#___Lib_System_DefaultPage, W0
	MOV	W0, W11
	CALL	_TFT_Set_Font
;main.c,868 :: 		strcpy(score_display_text, "Score: ");
	MOV	#lo_addr(?lstr9_main), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcpy
;main.c,869 :: 		strcat(score_display_text, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcat
;main.c,873 :: 		TFT_Write_Text(score_display_text, 200, 240-STATUS_TEXT_HEIGHT+3);
	MOV	#218, W12
	MOV	#200, W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_TFT_Write_Text
;main.c,874 :: 		}
L_end_RenderScore:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _RenderScore

_ShowTitles:

;main.c,877 :: 		void ShowTitles(){
;main.c,878 :: 		int loop = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,881 :: 		TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	CLR	W13
	MOV	#65535, W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#___Lib_System_DefaultPage, W0
	MOV	W0, W11
	CALL	_TFT_Set_Font
;main.c,884 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,887 :: 		TFT_Image(32, 50, title_bmp, 1);
	MOV	#lo_addr(_title_bmp), W0
	MOV	#higher_addr(_title_bmp), W1
	MOV.D	W0, W12
	MOV	#50, W11
	MOV	#32, W10
	MOV	#1, W0
	PUSH	W0
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,889 :: 		TFT_Write_Text("Tap    to    melt    the    snowflakes.", 60, 140);
	MOV	#140, W12
	MOV	#60, W11
	MOV	#lo_addr(?lstr10_main), W10
	CALL	_TFT_Write_Text
;main.c,891 :: 		TFT_Write_Text("Created   By   Andrew   Hazelden    (c)  2011", 30, 220);
	MOV	#220, W12
	MOV	#30, W11
	MOV	#lo_addr(?lstr11_main), W10
	CALL	_TFT_Write_Text
;main.c,893 :: 		GetNextSong();
	CALL	_GetNextSong
;main.c,902 :: 		if(muteSound){
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA NZ	L__ShowTitles226
	GOTO	L_ShowTitles106
L__ShowTitles226:
;main.c,903 :: 		Delay_ms(4000);
	MOV	#652, W8
	MOV	#2946, W7
L_ShowTitles107:
	DEC	W7
	BRA NZ	L_ShowTitles107
	DEC	W8
	BRA NZ	L_ShowTitles107
	NOP
	NOP
;main.c,904 :: 		}
L_ShowTitles106:
;main.c,907 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,909 :: 		}
L_end_ShowTitles:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _ShowTitles

_ShowGameOver:

;main.c,911 :: 		void ShowGameOver(){
;main.c,912 :: 		int loop = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
;main.c,914 :: 		UART2_Write_Line("Game Over");
	MOV	#lo_addr(?lstr12_main), W10
	CALL	_UART2_Write_Line
;main.c,917 :: 		TFT_Set_Font(TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
	CLR	W13
	MOV	#65535, W12
	MOV	#lo_addr(_TFT_defaultFont), W10
	MOV	#___Lib_System_DefaultPage, W0
	MOV	W0, W11
	CALL	_TFT_Set_Font
;main.c,920 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,923 :: 		TFT_Image(32, 50, GameOver_bmp, 1);
	MOV	#lo_addr(_gameover_bmp), W0
	MOV	#higher_addr(_gameover_bmp), W1
	MOV.D	W0, W12
	MOV	#50, W11
	MOV	#32, W10
	MOV	#1, W0
	PUSH	W0
	CALL	_TFT_Image
	SUB	#2, W15
;main.c,927 :: 		if(score > high_score){
	MOV	_high_score, W1
	CLR	W2
	MOV	#lo_addr(_score), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA LT	L__ShowGameOver228
	GOTO	L_ShowGameOver109
L__ShowGameOver228:
;main.c,929 :: 		high_score = score;
	MOV	_score, W0
	MOV	W0, _high_score
;main.c,930 :: 		TFT_Write_Text("You  set  a  High  Score!", 95, 140);
	MOV	#140, W12
	MOV	#95, W11
	MOV	#lo_addr(?lstr13_main), W10
	CALL	_TFT_Write_Text
;main.c,931 :: 		}
	GOTO	L_ShowGameOver110
L_ShowGameOver109:
;main.c,936 :: 		IntToStr(high_score, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	_high_score, W10
	CALL	_IntToStr
;main.c,937 :: 		strcpy(score_display_text, "High  Score: ");
	MOV	#lo_addr(?lstr14_main), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcpy
;main.c,938 :: 		strcat(score_display_text, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcat
;main.c,941 :: 		TFT_Write_Text(score_display_text, 110, 140);
	MOV	#140, W12
	MOV	#110, W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_TFT_Write_Text
;main.c,942 :: 		}
L_ShowGameOver110:
;main.c,945 :: 		IntToStr(score, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	_score, W10
	CALL	_IntToStr
;main.c,946 :: 		strcpy(score_display_text, "Your  Score: ");
	MOV	#lo_addr(?lstr15_main), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcpy
;main.c,947 :: 		strcat(score_display_text, score_text);
	MOV	#lo_addr(_score_text), W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_strcat
;main.c,950 :: 		TFT_Write_Text(score_display_text, 110, 170);
	MOV	#170, W12
	MOV	#110, W11
	MOV	#lo_addr(_score_display_text), W10
	CALL	_TFT_Write_Text
;main.c,953 :: 		UART2_Write_Line(score_display_text);
	MOV	#lo_addr(_score_display_text), W10
	CALL	_UART2_Write_Line
;main.c,955 :: 		TFT_Write_Text("Tip:   Melt   the   small   snowflakes   first!", 45, 215);
	MOV	#215, W12
	MOV	#45, W11
	MOV	#lo_addr(?lstr16_main), W10
	CALL	_TFT_Write_Text
;main.c,958 :: 		for(loop = 0; loop<=60;loop++){
; loop start address is: 2 (W1)
	CLR	W1
; loop end address is: 2 (W1)
L_ShowGameOver111:
; loop start address is: 2 (W1)
	MOV	#60, W0
	CP	W1, W0
	BRA LE	L__ShowGameOver229
	GOTO	L_ShowGameOver112
L__ShowGameOver229:
;main.c,959 :: 		Play_MP3_Chunk();
	PUSH	W1
	CALL	_Play_MP3_Chunk
	POP	W1
;main.c,960 :: 		Delay_ms(50);
	MOV	#9, W8
	MOV	#9047, W7
L_ShowGameOver114:
	DEC	W7
	BRA NZ	L_ShowGameOver114
	DEC	W8
	BRA NZ	L_ShowGameOver114
;main.c,962 :: 		if(muteSound){
	MOV	#lo_addr(_muteSound), W0
	CP0	[W0]
	BRA NZ	L__ShowGameOver230
	GOTO	L_ShowGameOver116
L__ShowGameOver230:
;main.c,963 :: 		Delay_ms(20);
	MOV	#4, W8
	MOV	#16725, W7
L_ShowGameOver117:
	DEC	W7
	BRA NZ	L_ShowGameOver117
	DEC	W8
	BRA NZ	L_ShowGameOver117
	NOP
;main.c,964 :: 		}
L_ShowGameOver116:
;main.c,958 :: 		for(loop = 0; loop<=60;loop++){
	INC	W1
;main.c,966 :: 		}
; loop end address is: 2 (W1)
	GOTO	L_ShowGameOver111
L_ShowGameOver112:
;main.c,971 :: 		TFT_Fill_Screen(sky_color);
	MOV	_sky_color, W10
	CALL	_TFT_Fill_Screen
;main.c,973 :: 		}
L_end_ShowGameOver:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _ShowGameOver
